#ifndef SREC_H
#define SREC_H

#define MAX_SREC_DATA_SIZE 64 //a practical/typical limit I found in a source
//#define MAX_SREC_DATA_SIZE 254 //count field can hold up to 255, including
//                               //  the checksum byte
#define MAX_SREC_SIZE (2*MAX_SREC_DATA_SIZE+2+2+2) //2 bytes each for the data
                                                   //fields, plus 2 for the
                                                   //checksum, 2 for the type,
                                                   //and 2 for the count

int srec_parse(char *str, int *addrloc, int *sizeloc, void *dest);
int srec_verifychecksum(char *str);
int srec_name(char *str, char *dest, int maxlen);
int srec_address(char *str);

#endif /* SREC_H */

