#ifndef TARGET_MEM_H
#define TARGET_MEM_H

/* These must be implemented by every target */
int erase_external_rom();
int write_external_rom(unsigned int *dest, unsigned int *src, int size);
int reset_external_rom();

/* Memory locations defined in the linker script */
extern int internal_memory_start;
extern int internal_rom_start, internal_rom_size;
extern int internal_ram_start, internal_ram_size;
extern int external_ram_start, external_ram_size;
extern int external_rom_start, external_rom_size;


#endif /* TARGET_MEM_H */

