
#include "memutils.h"

/****************************************************************/
// This assumes that the memory controller has already been
// initialized so that the RAM is actually available.

extern unsigned char _bss_section_start, _bss_section_end;

void clear_bss_section(void)
{
  // clear the uninitialized data area (sections.bss, .sbss, etc.)
  register unsigned char *dst;
  register unsigned char *limit = &_bss_section_end;

  for (dst = &_bss_section_start; dst < limit; dst++ ) *dst = 0;
}
