
#include "memutils.h"

// $Id: enable_external_heap.c,v 1.1 2005/03/15 22:24:31 garthz Exp $

extern unsigned char _heap_end, _heap_start;             // defined by the linker script
extern unsigned char *sbrk_heap_start, *sbrk_heap_end;   // in sbrk.c

// By default the ROM monitor is initialized with a tiny heap area in internal RAM.  This
// resets the sbrk() pointers to unused memory to those specified in the linker script, which 
// usually is configured to an area in external RAM.


void enable_external_heap(void)
{
  // Reset sbrk to use the available external RAM.
  sbrk_heap_start = &_heap_start;
  sbrk_heap_end   = &_heap_end;
}
