#ifndef MPC5XX_INTERRUPTCONTROLLER_H
#define MPC5XX_INTERRUPTCONTROLLER_H

//set the interrupt masks (in the USIU SIMASK register)
//1 => masked (blocked), 0 => unmasked (unblocked) per the following map:
// [IRQ0]...[IRQ7]
// [^MSB]...[^LSB]
void mpc5xx_set_external_interrupt_level_mask(char mask);

//level \in [0,7]
void mpc5xx_enable_external_interrupt_level(int level);

//level \in [0,7]
void mpc5xx_disable_external_interrupt_level(int level);


#endif /* MPC5XX_INTERRUPTCONTROLLER_H */

