
#include "use_default_serial_port.h"

/*
 * Sets the global values that represent the default QSMCM module and SCI
 * submodule to use when printing or reading from stdout
 * 
 * This is declared in libnewlib5xx and implemented by each hardware specific
 * library.
 */
void use_default_serial_port()
{
  serial_defqsmcm = MPC565_DEFAULT_QSMCM;
  serial_defsci = MPC565_DEFAULT_SCI;
}


