#ifndef USE_DEFAULT_SERIAL_PORT_H
#define USE_DEFAULT_SERIAL_PORT_H

//The function use_default_serial_port is declared in libnewlib5xx/serial.h
//We include it to assure a consistent declaration (and to get access to
//  the necessary global variables)

#include <newlib5xx/serial.h>

#include <Motorola/mpc565.h>

//Use QSMCM module A (rather than B)
#define MPC565_DEFAULT_QSMCM &QSMCM_A
//Use port SCI1 (rather than 2)
#define MPC565_DEFAULT_SCI 0


#endif /* USE_DEFAULT_SERIAL_PORT_H */

