
#include <Motorola/mpc566.h>
#include <mpc566evb/mpc566evb.h>
#include <mpc5xx/memutils.h>
#include <serial.h>
#include "target_hw.h"
#include "../download.h"


void init_hw()
{
  mpc566evb_init();

  configure_dptram();  //necessary b/c our data section is there!
  initialize_data_section();    // finish C runtime memory setup
  clear_bss_section();

  mpc566evb_init_serial(0, 0);

  //mpc566evb_init_serial should set these, but it can't hurt
  serial_defqsmcm = &QSMCM_A; //Use QSMCM module A (rather than B)
  serial_defsci = 0; //Use port SCI1

}

