
#include <Motorola/mpc565.h>
#include <phyCORE/phyCORE_MPC565.h>
#include <mpc5xx/memutils.h>
#include <serial.h>
#include "target_hw.h"
#include "../download.h"


void init_hw()
{
  phyCORE_MPC565_init();

  configure_dptram();  //necessary b/c our data section is there!
  initialize_data_section();    // finish C runtime memory setup
  clear_bss_section();

  phyCORE_MPC565_init_serial(0, 0);

  //phyCORE_MPC565_init_serial should set these, but it can't hurt
  serial_defqsmcm = &QSMCM_A; //Use QSMCM module A (rather than B)
  serial_defsci = 0; //Use port SCI1

}

