/***************  gmd_type.h  **********************************************

FUNCTION: General definitions and typedefs for Motorola GMD drivers

 VERSION: 2000.12.05 Chuck Kuecker <www.RickMiller.com>
          2001.02.11 Rick Miller aligned for clarity.

   NOTES: compiled with DiabC 4.4a
     USE: used in flash driver function prototypes.
*/

#ifndef  GMD_TYPE
#define  GMD_TYPE

#define  FALSE 0
#define  TRUE (!FALSE)

/*----------------- type definitions -----------------------------------*/

typedef          unsigned char    BOOL;

typedef            signed char    INT8;
typedef          unsigned char   UINT8;
typedef volatile   signed char   VINT8;
typedef volatile unsigned char  VUINT8;

typedef            signed short   INT16;
typedef          unsigned short  UINT16;
typedef volatile   signed short  VINT16;
typedef volatile unsigned short VUINT16;

typedef            signed long    INT32;
typedef          unsigned long   UINT32;
typedef volatile   signed long   VINT32;
typedef volatile unsigned long  VUINT32;

#endif

// End of gmd_type.h