#ifndef _SERIAL_H
#define _SERIAL_H

#include <Motorola/m_common.h>
#include <Motorola/mpc555.h>
#include <Motorola/m_usiu.h>

extern struct QSMCM_tag *serial_defqsmcm;
extern int serial_defsci;

#define LF 10                   /* line feed */
#define CR 13                   /* carriage return */

void ClearWatchdog();
char ReadyToSend(struct QSMCM_tag *qsmcm_ptr, char portnum);
char putchar2(unsigned char sbyte);
void putch(UINT8 ch);
void puts2(char *sptr);
char SerialReady(struct QSMCM_tag *qsmcm_ptr, char portnum);
char ReadSerialPort(struct QSMCM_tag *qsmcm_ptr, char pnum);
UINT8 GetSByte();
UINT8 kbhit();

//The following functions require chip-specific implementations but the
//  functions are general to all MPC5xx's.  Each must be implemented by
//  the appropriate hardware-specific library
void use_default_serial_port();

#endif /* _SERIAL_H */

